Vulnérabilité: CVE-2020-4072

Dans générateur jhipster-Kotlin la version 1.6.0 entrées du journal sont créées pour les tentatives de réinitialisation de mot de passe incorrect. Comme le courrier électronique est fourni par un utilisateur et l’api est public ce qui peut être utilisé par un attaquant aux entrées forge du journal. Ceci est vulnérable à https://cwe.mitre.org/data/definitions/117.html Ce problème ne concerne que l’application générée avec l’authentification JWT ou session. Les applications utilisant OAuth ne sont pas vulnérables. Ce problème a été corrigé dans la version 1.7.0.


https://github.com/jhipster/jhipster-kotlin/security/advisories/GHSA-pfxf-wh96-fvjc
https://github.com/jhipster/jhipster-kotlin/security/advisories/GHSA-pfxf-wh96-fvjc
https://github.com/jhipster/jhipster-kotlin/commit/426ccab85e7e0da562643200637b99b6a2a99449
https://github.com/jhipster/jhipster-kotlin/commit/426ccab85e7e0da562643200637b99b6a2a99449
https://owasp.org/www-community/attacks/Log_Injection
https://owasp.org/www-community/attacks/Log_Injection
https://www.baeldung.com/jvm-log-forging
https://www.baeldung.com/jvm-log-forging
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-4072


Il est possible de laisser un commentaire en tant qu'utilisateur enregistré du site, accédant par les réseaux sociaux, compte wordpress ou en tant qu'utilisateur anonyme. Si vous souhaitez laisser un commentaire en tant qu'utilisateur anonyme, vous serez informé par courrier électronique d'une réponse possible uniquement si vous saisissez votre adresse électronique (facultatif). L'inclusion de toute donnée dans les champs de commentaires est totalement facultative. Toute personne qui décide de saisir des données accepte le traitement de celles-ci pour les finalités inhérentes au service ou la réponse au commentaire et aux communications strictement nécessaires.


Laisser un commentaire